commit:     5d14212b3f4b5a065c9ff3faa1a231b1d0c39a97
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  5 21:39:08 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Sep  5 21:39:08 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d14212b

dev-python/pip: Version bump to 8.1.2

Package-Manager: portage-2.3.0

 dev-python/pip/Manifest         |  1 +
 dev-python/pip/pip-8.1.2.ebuild | 73 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-python/pip/Manifest b/dev-python/pip/Manifest
index 4442d75..b583770 100644
--- a/dev-python/pip/Manifest
+++ b/dev-python/pip/Manifest
@@ -2,3 +2,4 @@ DIST pip-7.1.2.tar.gz 1049170 SHA256 
ca047986f0528cfa975a14fb9f7f106271d4e0c3fe1
 DIST pip-8.0.2.tar.gz 1130183 SHA256 
46f4bd0d8dfd51125a554568d646fe4200a3c2c6c36b9f2d06d2212148439521 SHA512 
f2660725da4efa156c6c0f6cb9ba3f10e8b6dd2fc9113e9a8754a59f38ee6161e5a648f9dbcf8853ef85a85d3164bcaac3a7032ac2057e92f331a337cacfc5d9
 WHIRLPOOL 
abc88372746193686910ee127ac3f6f4bb7f3a5d7f897f705c2e43ea91d60c55ed26faf5e6acddd1d7e01772cbff4836195dcf22f9fc9dec30ad8c89986db778
 DIST pip-8.0.3.tar.gz 1131758 SHA256 
30f98b66f3fe1069c529a491597d34a1c224a68640c82caf2ade5f88aa1405e8 SHA512 
744111288dd86580e55a4eaeebcaab7b5fdd9e2ea47500e3febe2ce0a282b074f0c687d40a764b98bc54e0bf50748506eb8a5e220a095f2fe655f5cb42ba47c1
 WHIRLPOOL 
5bd7824ae4a311d98e47ccbf5fcc65b06579d30c0baa58357838935fd2646e87a610e76b22704b20d0c9379c321b878b409639e3604e725f2f08f83a8d7f1dda
 DIST pip-8.1.1.tar.gz 1139175 SHA256 
3e78d3066aaeb633d185a57afdccf700aa2e660436b4af618bcb6ff0fa511798 SHA512 
3b8f629ca19bff627317415ca681a5ea12171be57a04347e83dcee4a4d013ff9db47beddd56bded1856d4f0ae1a075d901140fe04f544df8018f066d812c0f28
 WHIRLPOOL 
f5ae76d3e2b6807aee5c2af03a2c83a18ae12182a8a533bc50e16ca07eb5efa1f7181d90ffcab171a687ace6880ddd8149b95a003ba749d21ae00ce1b0601891
+DIST pip-8.1.2.tar.gz 1140573 SHA256 
4d24b03ffa67638a3fa931c09fd9e0273ffa904e95ebebe7d4b1a54c93d7b732 SHA512 
f35e70344bc7baa0739d7a8a38e51f401774b23672e915c32d54fab3e9cc465bfc47361823fa75d2a64fc8748f2020170bd7a4cfde10070d7febf56d1f9124f0
 WHIRLPOOL 
b1b9d46d39b03f78cbceccfd27416dcc50189accefc2a5a6e7a002c9930d7299897d1d15726b95c400c2495ce23c4db414ad8aa29424f189b8be33470a96f12a

diff --git a/dev-python/pip/pip-8.1.2.ebuild b/dev-python/pip/pip-8.1.2.ebuild
new file mode 100644
index 00000000..7a02838
--- /dev/null
+++ b/dev-python/pip/pip-8.1.2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+PYTHON_REQ_USE="threads(+)"
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Installs python packages -- replacement for easy_install"
+HOMEPAGE="https://pip.pypa.io/ https://pypi.python.org/pypi/pip/ 
https://github.com/pypa/pip/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+SLOT="0"
+
+# Check pip/_vendor/vendor.txt for this
+#VENDOR_DEPEND="
+#      >=dev-python/distlib-0.2.2[${PYTHON_USEDEP}]
+#      >=dev-python/html5lib-1.0b8[${PYTHON_USEDEP}]
+#      >=dev-python/six-1.10.0${PYTHON_USEDEP}]
+#      >=dev-python/colorama-0.3.6[${PYTHON_USEDEP}]
+#      >=dev-python/requests-2.9.1-r2[${PYTHON_USEDEP}]
+#      >=dev-python/CacheControl-0.11.6[${PYTHON_USEDEP}]
+#      >=dev-python/lockfile-0.12.2[${PYTHON_USEDEP}]
+#      >=dev-python/progress-1.2[${PYTHON_USEDEP}]
+#      >=dev-python/packaging-16.5[${PYTHON_USEDEP}]
+#      >=dev-python/retrying-1.3.3[${PYTHON_USEDEP}]
+#      >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+#      virtual/python-ipaddress[${PYTHON_USEDEP}]
+#"
+# https://github.com/pypa/pip/issues/3057
+#RDEPEND="${VENDOR_DEPEND}
+#      >=dev-python/setuptools-19.2[${PYTHON_USEDEP}]
+#      <dev-python/setuptools-19.4[${PYTHON_USEDEP}]
+#"
+#DEPEND="${RDEPEND}"
+
+# required test data isn't bundled with the tarball
+RESTRICT="test"
+
+#PATCHES=(
+#      "${FILESDIR}"/${PN}-6.0.2-disable-version-check.patch
+#      "${FILESDIR}"/${PN}-8.0.0-unbundle.patch
+#      )
+
+#python_prepare_all() {
+#      mv pip/_vendor/__init__.py "${T}" || die
+#      rm -r pip/_vendor/* || die
+#      mv "${T}"/__init__.py pip/_vendor/__init__.py || die
+#
+#      distutils-r1_python_prepare_all
+#}
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+python_install_all() {
+       local DOCS=( AUTHORS.txt docs/*.rst )
+       distutils-r1_python_install_all
+
+       COMPLETION="${T}"/completion.tmp
+
+       "${PYTHON}" -m pip completion --bash > "${COMPLETION}" || die
+       newbashcomp "${COMPLETION}" ${PN}
+
+       "${PYTHON}" -m pip completion --zsh > "${COMPLETION}" || die
+       insinto /usr/share/zsh/site-functions
+       newins "${COMPLETION}" _pip
+}

Reply via email to